QXmpp: QXmppByteStreamIq Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppByteStreamIq Class Reference
Inheritance diagram for QXmppByteStreamIq:

## Classes
class | StreamHost

## Public Types
enum | Mode { None = 0 , Tcp , Udp }
Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Public Member Functions
QXmppByteStreamIq::Mode | mode () const
void | setMode (QXmppByteStreamIq::Mode mode)
QString | sid () const
void | setSid (const QString &sid)
QString | activate () const
void | setActivate (const QString &activate)
QList< QXmppByteStreamIq::StreamHost > | streamHosts () const
void | setStreamHosts (const QList< QXmppByteStreamIq::StreamHost > &streamHosts)
QString | streamHostUsed () const
void | setStreamHostUsed (const QString &jid)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
| QXmppIq (QXmppIq &&)
| Default move-constructor.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq & | operator= (QXmppIq &&)
| Move-assignment operator.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
| QXmppStanza (QXmppStanza &&)
| Move constructor.
| ~QXmppStanza () override
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QXmppStanza & | operator= (QXmppStanza &&)
| Move-assignment operator.
QString | to () const
void | setTo (const QString &)
QString | from () const
void | setFrom (const QString &)
QString | id () const
void | setId (const QString &)
QString | lang () const
void | setLang (const QString &)
QXmppStanza::Error | error () const
std::optional< Error > | errorOptional () const
void | setError (const QXmppStanza::Error &error)
void | setError (const std::optional< Error > &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
std::optional< QXmppE2eeMetadata > | e2eeMetadata () const
void | setE2eeMetadata (const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
Public Member Functions inherited from QXmppNonza
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Detailed Description

QXmppByteStreamIq represents a SOCKS5 bytestreams negoatiation IQ as defined by XEP-0065: SOCKS5 Bytestreams.

## Member Enumeration Documentation

## ◆ Mode

enum QXmppByteStreamIq::Mode

Used to select the transport layer protocol (TCP or UDP).

## Member Function Documentation

## ◆ activate()

QString QXmppByteStreamIq::activate | ( |  | ) | const

Returns the jid of the target.

## ◆ mode()

QXmppByteStreamIq::Mode QXmppByteStreamIq::mode | ( |  | ) | const

Returns the protocol type (UDP or TCP).

## ◆ setActivate()

void QXmppByteStreamIq::setActivate | ( | const QString & | activate | ) |

Sets the jid of the target.

## ◆ setMode()

void QXmppByteStreamIq::setMode | ( | QXmppByteStreamIq::Mode | mode | ) |

Sets the protocol type (UDP or TCP).

## ◆ setSid()

void QXmppByteStreamIq::setSid | ( | const QString & | sid | ) |

Sets the bytestream stream ID.

## ◆ setStreamHosts()

void QXmppByteStreamIq::setStreamHosts | ( | const QList< QXmppByteStreamIq::StreamHost > & | streamHosts | ) |

Sets available SOCKS5 stream hosts.

## ◆ setStreamHostUsed()

void QXmppByteStreamIq::setStreamHostUsed | ( | const QString & | jid | ) |

Sets the JID of the used stream host.

## ◆ sid()

QString QXmppByteStreamIq::sid | ( |  | ) | const

Returns the bytestream stream ID.

## ◆ streamHosts()

QList< QXmppByteStreamIq::StreamHost > QXmppByteStreamIq::streamHosts | ( |  | ) | const

Returns available SOCKS5 stream hosts.

## ◆ streamHostUsed()

QString QXmppByteStreamIq::streamHostUsed | ( |  | ) | const

Returns the JID of the used stream host.

The documentation for this class was generated from the following files:

- QXmppByteStreamIq.h
- QXmppByteStreamIq.cpp